%define archivename     dejavu-lgc-ttf
%define fontdir         %{_datadir}/fonts/dejavu-lgc
%define fontconfdir     %{_sysconfdir}/fonts/conf.d
%define fontconffile    %{fontconfdir}/59-%{name}.conf

Name:      dejavu-lgc-fonts
Version:   2.19
Release:   1
Summary:   DejaVu LGC Fonts
Group:     User Interface/X
License:   Redistributable, with restrictions
URL:       http://dejavu.sourceforge.net
Source:    http://prdownloads.sourceforge.net/dejavu/%{archivename}-%{version}.tar.bz2
Source1:   %{name}.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires:  fontconfig >= 2.3

%description
The DejaVu LGC fonts are high-quality Latin/Greek/Cyrillic fonts based on
Bitstream Vera fonts ((http://gnome.org/fonts/)).  Its purpose is to provide a
wider range of characters while maintaining the original look and feel.

%prep
%setup -q -n %{archivename}-%{version}

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT

#fonts
install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf  $RPM_BUILD_ROOT%{fontdir}
#config
install -d -m 0755 $RPM_BUILD_ROOT%{fontconfdir}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{fontconffile}

%clean
/bin/rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then 
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then 
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS LICENSE NEWS README langcover.txt unicover.txt
%dir %{fontdir}
%{fontdir}/*.ttf
%config %{fontconffile}


%changelog
* Sat Aug 11 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.19-1
- Update to 2.19

* Wed Jul 25 2007 Behdad Esfahbod <besfahbo@redhat.com> - 2.18-1
- Update to 2.18

* Thu Apr 18 2007 Behdad Esfahbod <besfahbo@redhat.com> - 2.16-1
- Update to 2.16

* Thu Mar 01 2007 Behdad Esfahbod <besfahbo@redhat.com> - 2.15-1
- Update to 2.15
- Define fontconffile and use it

* Tue Jan 09 2007 Behdad Esfahbod <besfahbo@redhat.com> - 2.13-1
- Update to 2.13
- Use .bz2 tarball

* Tue Sep 19 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.10-1
- Update to 2.10

* Mon Sep 11 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-4
- Fix number change in list of files too

* Mon Sep 11 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-3
- dejavu-lgc-fonts.conf: Use <prefer>.  Install as 59-dejavu-lgc-fonts.conf
  to follow the new fontconfig 2.4 numbering policy.

* Thu Aug 31 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-2
- Don't override Bitstream Vera in our configuration file anymore now that
  we got enough testing and gdm is fixed.

* Fri Aug 24 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-1
- Update to 2.9
- Add langcover.txt and unicover.txt to docs, as they are not empty anymore
- Alias DejaVu Sans Light to DejaVu LGC Sans Light

* Tue Jul 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.8-1
- Update to 2.8
- Add fontconfig configuration to make Dejavu the default
  font and cover Vera

* Fri Jul 14 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.7-1
- Created based on bitstream-vera-fonts-1.10.6 spec.
